/*
 * Copyright (c) 2013-2014 Wind River Systems, Inc.
 * Copyright (c) 2023 Intel Corporation
 *
 * SPDX-License-Identifier: Apache-2.0
 */
 
#ifndef ZEPHYR_INCLUDE_RANDOM_RANDOM_H_
#define ZEPHYR_INCLUDE_RANDOM_RANDOM_H_
 
#include <zephyr/types.h>
#include <stddef.h>
#include <zephyr/kernel.h>
 
#ifdef __cplusplus
extern "C" {
#endif
 
 
__syscall void sys_rand_get(void *dst, size_t len);
 
__syscall int sys_csrand_get(void *dst, size_t len);
 
static inline uint8_t sys_rand8_get(void)
{
        uint8_t ret;
 
        sys_rand_get(&ret, sizeof(ret));
 
        return ret;
}
 
static inline uint16_t sys_rand16_get(void)
{
        uint16_t ret;
 
        sys_rand_get(&ret, sizeof(ret));
 
        return ret;
}
 
static inline uint32_t sys_rand32_get(void)
{
        uint32_t ret;
 
        sys_rand_get(&ret, sizeof(ret));
 
        return ret;
}
 
static inline uint64_t sys_rand64_get(void)
{
        uint64_t ret;
 
        sys_rand_get(&ret, sizeof(ret));
 
        return ret;
}
 
#ifdef __cplusplus
}
#endif
 
#include <zephyr/syscalls/random.h>
#endif /* ZEPHYR_INCLUDE_RANDOM_RANDOM_H_ */
